﻿@model SSTC.Models.CalendarDTO

@{
    ViewBag.Title = "Pracownik";
}

<h2>Pracownik</h2>

<table id="reservationCalendar" class="table table-bordered table-condensed table-striped">
    <thead>
        <tr>
            <td>
                <center><h3>@Html.ActionLink("<<", "UserCalendar", "User", new { month = Model.Month, year = Model.Year, next = false }, null)</h3></center>
            </td>
            <td colspan="5">
                @if (Model.Month == 1)
                {
                    <center><h3>Styczeń @Model.Year.ToString()</h3></center>
                }
                else if (Model.Month == 2)
                {
                    <center><h3>Luty @Model.Year.ToString()</h3></center>
                }
                else if (Model.Month == 3)
                {
                    <center><h3>Marzec @Model.Year.ToString()</h3></center>
                }
                else if (Model.Month == 4)
                {
                    <center><h3>Kwiecień @Model.Year.ToString()</h3></center>
                }
                else if (Model.Month == 5)
                {
                    <center><h3>Maj @Model.Year.ToString()</h3></center>
                }
                else if (Model.Month == 6)
                {
                    <center><h3>Czerwiec @Model.Year.ToString()</h3></center>
                }
                else if (Model.Month == 7)
                {
                    <center><h3>Lipiec @Model.Year.ToString()</h3></center>
                }
                else if (Model.Month == 8)
                {
                    <center><h3>Sierpień @Model.Year.ToString()</h3></center>
                }
                else if (Model.Month == 9)
                {
                    <center><h3> Wrzesień @Model.Year.ToString() </h3></center>
                }
                else if (Model.Month == 10)
                {
                    <center><h3>Październik @Model.Year.ToString()</h3></center>
                }
                else if (Model.Month == 11)
                {
                    <center><h3>Listopad @Model.Year.ToString()</h3></center>
                }
                else if (Model.Month == 12)
                {
                    <center><h3>Grudzień @Model.Year.ToString()</h3></center>
                }
            </td>
            <td>
                <center><h3>@Html.ActionLink(">>", "UserCalendar", "User", new { month = Model.Month, year = Model.Year, next = true }, null)</h3></center>
            </td>
        </tr>
    </thead>
    <tr>
        <th>
            <center>Poniedziałek</center>
        </th>
        <th>
            <center>Wtorek</center>
        </th>
        <th>
            <center>Środa</center>
        </th>
        <th>
            <center>Czwartek</center>
        </th>
        <th>
            <center>Piątek</center>
        </th>
        <th>
            <center>Sobota</center>
        </th>
        <th>
            <center>Niedziela</center>
        </th>
    </tr>
    @for (int i = 1; i < 43; i++)
    {
        if (i == 1 || i == 8 || i == 15 || i == 22 || i == 29 || i == 36)
        {
            @:<tr>
            }
            if (i == 8 || i == 15 || i == 22 || i == 29 || i == 36 || i == 43)
            {
            @:</tr>
        }
        if (i == Model.FirstDayOfMonth)
        {
            Model.Start = true;
        }
        if (Model.Start == true)
        {
            Model.Day++;
            if (Model.Day == Model.Today.Day && Model.Today.Month == Model.Month && Model.Today.Year == Model.Year)
            {
                if ( (Model.FreeDays.Contains(i)) || i == 6 || i == 7 || i == 13 || i == 14 || i == 20 || i == 21 || i == 27 || i == 28 || i == 34 || i == 35 || i == 41 || i == 42)
                {
                    @:<td style="background-color:grey; width:14%"><center><h2 style="color:red">@Model.Day.ToString()</h2></center></td>
                }
                else
                {
                    @:<td style="background-color:grey; width:14%"><center><h2>@Model.Day.ToString()</h2></center></td>
                }
            }
            else
            {
                if ( (Model.FreeDays.Contains(i)) || i == 6 || i == 7 || i == 13 || i == 14 || i == 20 || i == 21 || i == 27 || i == 28 || i == 34 || i == 35 || i == 41 || i == 42)
                {
                    @:<td style="width:14%"><center><h2 style="color:red">@Model.Day.ToString()</h2></center></td>
                }
                else
                {
                    if (Model.Registries[Model.Day - 1].IsReject == true)
                    {
                        @:<td style="width:14%; background-color:red"><center><h2>@Html.ActionLink(@Model.Day.ToString(), "UserCalendarClick", "User", new { month = Model.Month, year = Model.Year, day = Model.Day }, new { style = "text-decoration:none;" })</h2></center></td>
                    }
                    else if (Model.Registries[Model.Day - 1].IsFullDay == false)
                    {
                        @:<td style="width:14%; background-color:orange"><center><h2>@Html.ActionLink(@Model.Day.ToString(), "UserCalendarClick", "User", new { month = Model.Month, year = Model.Year, day = Model.Day }, new { style = "text-decoration:none;" })</h2></center></td>
                    }
                    else if (Model.Registries[Model.Day - 1].IsAccept1 == true && Model.Registries[Model.Day - 1].Registries.Count > 0)
                    {
                        @:<td style="width:14%; background-color:greenyellow"><center><h2>@Html.ActionLink(@Model.Day.ToString(), "UserCalendarClick", "User", new { month = Model.Month, year = Model.Year, day = Model.Day }, new { style = "text-decoration:none;" })</h2></center></td>
                    }
                    else if (Model.Registries[Model.Day - 1].IsAccept2 == true && Model.Registries[Model.Day - 1].Registries.Count > 0)
                    {
                        @:<td style="width:14%; background-color:green"><center><h2>@Html.ActionLink(@Model.Day.ToString(), "UserCalendarClick", "User", new { month = Model.Month, year = Model.Year, day = Model.Day }, new { style = "text-decoration:none;" })</h2></center></td>
                    }
                    else if (Model.Registries[Model.Day - 1].IsFullDay == true && Model.Registries[Model.Day - 1].Registries.Count > 0)
                    {
                        @:<td style="width:14%; background-color:yellow"><center><h2>@Html.ActionLink(@Model.Day.ToString(), "UserCalendarClick", "User", new { month = Model.Month, year = Model.Year, day = Model.Day }, new { style = "text-decoration:none;" })</h2></center></td>
                    }
                    else
                    {
                        @:<td style="width:14%;"><center><h2>@Html.ActionLink(@Model.Day.ToString(), "UserCalendarClick", "User", new { month = Model.Month, year = Model.Year, day = Model.Day }, new { style = "text-decoration:none;" })</h2></center></td>
                    }
                }
            }
        }
        else
        {
            @:<td></td>
        }
        if (Model.Day == Model.DaysOfMonth)
        {
            Model.Start = false;
            break;
        }
    }
</table>

@Html.Action("RegistryDay", new { month = Model.Today.Month, year = Model.Today.Year, day = Model.Today.Day })

<h3>Legenda</h3>
<table>
    <tr>
        <th>Kolor </th>
        <th>- Znaczenie</th>
    </tr>
    <tr>
        <td>brak</td>
        <td>- Dzień do uzupełnienia</td>
    </tr>
    <tr>
        <td style="background-color:orange"></td>
        <td>- Niepełny dzień nieuzupełniony</td>
    </tr>
    <tr>
        <td style="background-color:yellow"></td>
        <td>- Uzupełniony dzień</td>
    </tr>
    <tr>
        <td style="background-color:greenyellow"></td>
        <td>- Zaakceptowany dzień poziom 1</td>
    </tr>
    <tr>
        <td style="background-color:green"></td>
        <td>- Zaakceptowany dzień poziom 2</td>
    </tr>
    <tr>
        <td style="background-color:red"></td>
        <td>- Odrzucowny</td>
    </tr>
    <tr>
        <td style="background-color:gray"></td>
        <td>- Zaznaczony dzień</td>
    </tr>
</table>
